#ifndef MCS_H
#define MCS_H

typedef struct _mcs_table_t {
	unsigned char in[256];
	unsigned char out[256];
} mcs_table_t;

extern mcs_table_t mcs_default_table;

extern mcs_table_t *mcstab_byname();
extern mcs_table_t *mcstab_bysocket();
extern char *mcsname_bysocket();
extern int mcs_setverbose();
#define MCS_IN(p,c) (p->in[(unsigned char)c])
#define MCS_OUT(p,c) (p->out[(unsigned char)c])

#endif
